package com.fjhx.victoriatourist.controller.excess;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsInfoDto;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsInfoSelectDto;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsInfoVo;
import com.fjhx.victoriatourist.service.excess.ExcessGoodsInfoService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 多货登记 前端控制器
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/excessGoodsInfo")
public class ExcessGoodsInfoController {

    @Autowired
    private ExcessGoodsInfoService excessGoodsInfoService;

    /**
     * 多货登记列表
     */
    @PostMapping("/list")
    public List<ExcessGoodsInfoVo> list(@RequestBody ExcessGoodsInfoSelectDto dto) {
        return excessGoodsInfoService.getList(dto);
    }

    /**
     * 多货登记分页
     */
    @PostMapping("/page")
    public Page<ExcessGoodsInfoVo> page(@RequestBody ExcessGoodsInfoSelectDto dto) {
        return excessGoodsInfoService.getPage(dto);
    }

    /**
     * 多货登记明细
     */
    @PostMapping("/detail")
    public ExcessGoodsInfoVo detail(@RequestBody BaseSelectDto dto) {
        return excessGoodsInfoService.detail(dto.getId());
    }

    /**
     * 多货登记新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ExcessGoodsInfoDto excessGoodsInfoDto) {
        excessGoodsInfoService.add(excessGoodsInfoDto);
    }

    /**
     * 多货登记编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ExcessGoodsInfoDto excessGoodsInfoDto) {
        excessGoodsInfoService.edit(excessGoodsInfoDto);
    }

    /**
     * 多货登记删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        excessGoodsInfoService.delete(dto.getId());
    }

}
